Description
Consider the following WFS URL of the Italian National Geoportal:
http://wms.pcn.minambiente.it/ogc?map=/ms_ogc/wfs/LimitiAmministrativi_2011.map
and its capabilities:
http://wms.pcn.minambiente.it/ogc?map=/ms_ogc/wfs/LimitiAmministrativi_2011.map
There are three layers, whose names are:
    -  UA.UNITAAMMINISTRATIVE.REGIONI
    -  UA.UNITAAMMINISTRATIVE.PROVINCE
    -  UA.UNITAAMMINISTRATIVE.COMUNI

For semplicity, consider only the first one.
If I try to load as it is (WFS 1.1.0), the issue described in #2252 occurs, i.e. the geometries (GML 3.1.1) are loaded but the coordinates
are inverted.
Instead, if I select the 1.0.0 version in WFS Option tab, the WFS layer is empty, so there's something wrong with 1.0.0 version
management (bug). See also #2494.
Then I've tried to force the WFS version appending &service=WFS&version=1.0.0&request=GetCapabilities to the base URL and
accepted the warning message about parameters.
There two cases again: if I select the 1.0.0 version in WFS wizard, the geometries (GML 2.1.2) are loaded correctly (so this is a
workaround actually).
Instead, if I leave the 1.1.0 version in the wizard, the coordinate are swapped again (the version in WFS Option tab overrides that
specified in the URL).

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 1281: Add WFS with filte... Closed 10/17/2012

History
#1 - 07/03/2014 11:04 AM - Antonio Falciano

Excuse me, but after further testing, I have discovered that the version 1.0.0 (selected in WFS Option tab) works fine with the above mentioned URL
(so it has not to be requested in the URL), while it returns an empty layer only when the spatial filter is enabled. So the ticket should be renamed as 
"WFS 1.0.0 with spatial filter returns an empty layer" with normal severity, thanks.

#2 - 07/03/2014 11:50 AM - Álvaro Anguix
- Subject changed from WFS 1.1.0 / 1.0.0 management issues to WFS 1.0.0 with spatial filter returns an empty layer

#3 - 07/03/2014 11:51 AM - Álvaro Anguix
- Severity changed from Critical to Minor

#4 - 07/07/2014 12:27 PM - Antonio Falciano

See also #1281 (WFS 1.0).

#5 - 07/08/2014 03:41 AM - Álvaro Anguix
- Related to gvSIG bugs #1281: Add WFS with filter area does not works added

#6 - 07/29/2014 11:13 AM - Antonio Falciano

A quite simple workaround consists into appending the BBOX parameter to the service URL. For instance:

http://wms.pcn.minambiente.it/ogc?map=/ms_ogc/wfs/LimitiAmministrativi_2011.map&bbox=13.5,39.7,18.6,42.3

#7 - 10/14/2014 12:18 PM - Antonio Falciano

The spatial filter in the WFS wizard doesn't produce right results in case of WFS 1.0.0 even after gvsig-wfs:r112.
The WFS layer is loaded in the ToC, but it's always empty.
The attribute table shows like an initial big column missing... Is this the GEOMETRY field? 
Build 2249.

#8 - 01/29/2016 06:24 PM - Antonio Falciano

It seems that the WFS spatial filter is broken also in gvSIG 2.3 with both versions (1.0.0 and 1.1.0).
I've noticed also that the LL vertex is on the right and the UR one on the left of the panel, that is not intuitive.
